#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  dolphin-plugins-24.12.2

- Next

  KMix-24.12.2

- Up
- Home

# kdenlive-24.12.2

## Introduction to Kdenlive

The Kdenlive package is a KF6 based video editor.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.2/src/kdenlive-24.12.2.tar.xz

- Download MD5 sum: 6efab0b88775858902f47d134078f999

- Download size: 13 MB

- Estimated disk space required: 235 MB

- Estimated build time: 1.8 SBU (using parallelism=4)

### Kdenlive Dependencies

#### Required

KDE Frameworks-6.11.0, mlt-7.30.0, and v4l-utils-1.28.1 (runtime)

#### Recommended

breeze-icons-6.11.0

## Installation of Kdenlive

Install Kdenlive by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kdenlive and kdenlive_render
Installed Libraries: mltpreview.so
Installed Directories: $KF6_PREFIX/share/doc/HTML/*/kdenlive and $KF6_PREFIX/share/kdenlive

### Short Descriptions

kdenlive | is an open source non-linear video editor which supports a large number of formats
kdenlive_render | is a render program for kdenlive

- Prev

  dolphin-plugins-24.12.2

- Next

  KMix-24.12.2

- Up
- Home